ldns-verifyzone(1)

NAME
ldns-verify-zone - read a DNSSEC signed zone and verify it.

SYNOPSIS
ldns-verify-zone ZONEFILE

DESCRIPTION
ldns-verify-zone reads a DNS zone file and verifies it. RRSIG resource records are checked against the DNSKEY set at the zone apex. Each name is checked for an NSEC(3), if appropriate.

OPTIONS

-h  Show usage and exit

-v  Show the version and exit

-V number
    Set the verbosity level (default 3):
     0: Be silent
     1: Print result, and any errors
     2: Same as 1 for now
     3: Print result, any errors, and the names that are
        being checked
     4: Same as 3 for now
     5: Print the zone after it has been read, the result,
        any errors, and the names that are being checked

AUTHOR
Written by the ldns team as an example for ldns usage.

REPORTING BUGS
Report bugs to <ldns-team@nlnetlabs.nl>.

COPYRIGHT
Copyright (C) 2008 NLnet Labs. This is free software. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.